/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2016 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/

/*******************************************************************************
* File Name    : adcmp.h
* Version      : Applilet EZ PL for RL78
* Device(s)    : R5F1056A,R5F1057A,R5F1058A
* Tool-Chain   : CC-RL
* Description  : This file implements main function.
* Creation Date: 2016/09/14
*******************************************************************************/

#ifndef	_ADCMP_H_
#define	_ADCMP_H_
/*******************************************************************************
Includes <System Includes> , "Project Includes"
*******************************************************************************/

/*******************************************************************************
Macro definitions
*******************************************************************************/
#define TRIGGER_SOFTWARE			0
#define TRIGGER_HARDWARE			1

#define IVCMP_SELECTED				0
#define PGA_SELECTED				1

/*******************************************************************************
** ADC_INIT0	
********************************************************************************/
#define ADC_INIT0(Trg, AnalogIn)												\
{																				\
			ADC_init(Trg, AnalogIn);											\
}

/*******************************************************************************
** ADC_PROC	
********************************************************************************/
#define	ADC_PROC(Trg, AnalogIn)													\
{																				\
			ADC_Get(Trg, AnalogIn);												\
}

/*******************************************************************************
** ADC_OUT	
********************************************************************************/
#define	ADC_OUT(Val, Out)														\
{																				\
			Out = ADC_Bit((UCHAR)Val);											\
}

/*******************************************************************************
** PGA_INIT0	
********************************************************************************/
#define PGA_INIT0(Gain)															\
{																				\
			PGA_init(Gain);														\
}

/*******************************************************************************
** DAC_INIT0	
********************************************************************************/
#define DAC_INIT0(DaOut)														\
{																				\
			DAC_init(DaOut);													\
}

/*******************************************************************************
** CMP0_INIT0	
********************************************************************************/
#define CMP0_INIT0(Mode, CmpSel, RefSel, Filter, Edge)							\
{																				\
			CMP0_init(Mode, CmpSel, RefSel, Filter, Edge);						\
}

/*******************************************************************************
** CMP1_INIT0	
********************************************************************************/
#define CMP1_INIT0(Mode, CmpSel, RefSel, Filter, Edge)							\
{																				\
			CMP1_init(Mode, CmpSel, RefSel, Filter, Edge);						\
}

/*******************************************************************************
** CMP0_OUT	
********************************************************************************/
#define	CMP0_OUT(Out)															\
{																				\
			Out = (COMPMDR >> 3) & 0x01;										\
}

/*******************************************************************************
** CMP1_OUT	
********************************************************************************/
#define	CMP1_OUT(Out)															\
{																				\
			Out = (COMPMDR >> 7) & 0x01;										\
}

/*******************************************************************************
Typedef definitions
*******************************************************************************/

/*******************************************************************************
Imported global variables and functions (from other files)
*******************************************************************************/

/*******************************************************************************
Exported global variables and functions (to be accessed by other files)
*******************************************************************************/
/*	Function Prototype	*/
void ADC_init( UCHAR Trg, UCHAR AnalogIn );
void ADC_Get( UCHAR Trg, UCHAR AnalogIn );
UCHAR ADC_Bit( UCHAR Val );

void PGA_init( UCHAR Gain );
void DAC_init( UCHAR DaOut );
void CMP0_init( UCHAR Mode, UCHAR CmpSel, UCHAR RefSel, UCHAR Filter, UCHAR Edge );
void CMP1_init( UCHAR Mode, UCHAR CmpSel, UCHAR RefSel, UCHAR Filter, UCHAR Edge );
#endif	/* _ADCMP_H_ */
