/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2016 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/

/*******************************************************************************
* File Name    : comp.h
* Version      : Applilet EZ PL for RL78
* Device(s)    : R5F1056A,R5F1057A,R5F1058A
* Tool-Chain   : CC-RL
* Description  : This file implements main function.
* Creation Date: 2016/09/14
*******************************************************************************/

#ifndef _COMP_H_
#define _COMP_H_
/*******************************************************************************
Includes <System Includes> , "Project Includes"
*******************************************************************************/

/*******************************************************************************
Macro definitions
*******************************************************************************/
/*******************************************************************************
** COMP_INIT0	
********************************************************************************/
#define	COMP_INIT0																\
{																				\
		COMP_Initialize();														\
}

/*******************************************************************************
** COMP_PARAM	
********************************************************************************/
#define	COMP_PARAM(In7, In6, In5, In4, In3, In2, In1, In0)						\
{																				\
		COMP_Set(In7, In6, In5, In4, In3, In2, In1, In0);						\
}

/*******************************************************************************
** COMP_PROC	
********************************************************************************/
#define	COMP_PROC(OutBig, OutEqual, OutSmall)									\
{																				\
	{																			\
		UCHAR	ucbig = 0;														\
		UCHAR	ucequal = 0;													\
		UCHAR	ucsmall = 0;													\
																				\
		COMP_Proc(&ucbig, &ucequal, &ucsmall);									\
																				\
		OutBig = ucbig & 0x01;													\
		OutEqual = ucequal & 0x01;												\
		OutSmall = ucsmall & 0x01;												\
	}																			\
}

/*******************************************************************************
Typedef definitions
*******************************************************************************/

/*******************************************************************************
Imported global variables and functions (from other files)
*******************************************************************************/

/*******************************************************************************
Exported global variables and functions (to be accessed by other files)
*******************************************************************************/
/*	Function Prototype	*/
void	COMP_Set( UCHAR In7, UCHAR In6, UCHAR In5, UCHAR In4, UCHAR In3, UCHAR In2, UCHAR In1, UCHAR In0 );
void	COMP_Proc( UCHAR* Big, UCHAR* Equal, UCHAR* Small );
void	COMP_Initialize( void );

#endif		/* _COMP_H_ */
