#CC-RL Compiler RL78 Assembler Source
#@  CC-RL Version : V1.05.00 [26 May 2017]
#@  Commmand :
#@   -cpu=S3
#@   -obj_path=.\obj\
#@   -asm_path=.\obj\
#@   -dev=C:\Program Files (x86)\Renesas Electronics\Applilet EZ PL for RL78 V2.20\Tools\BIN\..\..\Tools\DEV\DR5F1058A.DVF
#@   -c
#@   -I C:\Program Files (x86)\Renesas Electronics\CS+\CC\CC-RL\V1.05.00\inc,.\include
#@   -Osize
#@   -pass_source
#@   src\adcmp.c
#@  compiled at Tue Jun 19 17:36:28 2018

	.EXTERN _usgADCR
	.PUBLIC _ADC_init
	.PUBLIC _ADC_Get
	.PUBLIC _ADC_Bit
	.PUBLIC _PGA_init
	.PUBLIC _DAC_init
	.PUBLIC _CMP0_init
	.PUBLIC _CMP1_init

	.SECTION .textf,TEXTF
_ADC_init:
	.STACK _ADC_init = 4
	;***        1 : /*******************************************************************************
	;***        2 : * DISCLAIMER
	;***        3 : * This software is supplied by Renesas Electronics Corporation and is only
	;***        4 : * intended for use with Renesas products. No other uses are authorized. This
	;***        5 : * software is owned by Renesas Electronics Corporation and is protected under
	;***        6 : * all applicable laws, including copyright laws.
	;***        7 : * THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
	;***        8 : * THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
	;***        9 : * LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
	;***       10 : * AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
	;***       11 : * TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
	;***       12 : * ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
	;***       13 : * FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
	;***       14 : * ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
	;***       15 : * BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
	;***       16 : * Renesas reserves the right, without notice, to make changes to this software
	;***       17 : * and to discontinue the availability of this software. By using this software,
	;***       18 : * you agree to the additional terms and conditions found by accessing the
	;***       19 : * following link:
	;***       20 : * http://www.renesas.com/disclaimer
	;***       21 : *
	;***       22 : * Copyright (C) 2016 Renesas Electronics Corporation. All rights reserved.
	;***       23 : *******************************************************************************/
	;***       24 : 
	;***       25 : /*******************************************************************************
	;***       26 : * File Name    : adcmp.c
	;***       27 : * Version      : Applilet EZ PL for RL78
	;***       28 : * Device(s)    : R5F1056A,R5F1057A,R5F1058A
	;***       29 : * Tool-Chain   : CC-RL
	;***       30 : * Description  : This file implements the function of A/D Converter.
	;***       31 : * Creation Date: 2016/09/14
	;***       32 : *******************************************************************************/
	;***       33 : 
	;***       34 : /*******************************************************************************
	;***       35 : Includes <System Includes> , "Project Includes"
	;***       36 : *******************************************************************************/
	;***       37 : #include "sfr.h"
	;***       38 : #include "common.h"
	;***       39 : #include "config.h"
	;***       40 : #include "int.h"
	;***       41 : #include "adcmp.h"
	;***       42 : 
	;***       43 : #if defined ANI3_USED
	;***       44 : /*******************************************************************************
	;***       45 : Macro definitions
	;***       46 : *******************************************************************************/
	;***       47 : 
	;***       48 : /*******************************************************************************
	;***       49 : Typedef definitions
	;***       50 : *******************************************************************************/
	;***       51 : 
	;***       52 : /*******************************************************************************
	;***       53 : Imported global variables and functions (from other files)
	;***       54 : *******************************************************************************/
	;***       55 : extern USHORT usgADCR;
	;***       56 : 
	;***       57 : /*******************************************************************************
	;***       58 : Exported global variables and functions (to be accessed by other files)
	;***       59 : *******************************************************************************/
	;***       60 : 
	;***       61 : /*******************************************************************************
	;***       62 : Private variables and functions
	;***       63 : *******************************************************************************/
	;***       64 : static USHORT 	usgANI_Value = 0;
	;***       65 : 
	;***       66 : /*******************************************************************************
	;***       67 : * Function Name: ADC_init
	;***       68 : * Description  : Initialize A/D Converter.
	;***       69 : * Arguments    : Trg, Ani
	;***       70 : * Return Value : none
	;***       71 : ********************************************************************************/
	;***       72 : void ADC_init( UCHAR Trg, UCHAR AnalogIn )
	mov b, a
	movw hl, #0x00F0
	mov a, #0x38
	;***       73 : {
	;***       74 : 	ADCEN = 1;			/* Enables A/D Converter input clock supply */
	set1 [hl].5
	;***       75 : 
	;***       76 : 	/* A/D CONVERTER */
	;***       77 : 	ADM0 = ADM0_INIT_VAL;
	clrb !0xFF30
	;***       78 : 	if ( (SYS_CLOCK_FREQ >= 1) && (SYS_CLOCK_FREQ <= 8) )
	;***       79 : 	{
	;***       80 : 		ADM0 |= AD_CONVERSION_CLOCK_2;
	or a, !0xFF30
	mov 0xFFF30, a
	;***       81 : 	}
	;***       82 : 	else if ( (SYS_CLOCK_FREQ > 8) && (SYS_CLOCK_FREQ >= 16) )
	;***       83 : 	{
	;***       84 : 		ADM0 |= AD_CONVERSION_CLOCK_4;
	;***       85 : 	}
	;***       86 : 	else if ( (SYS_CLOCK_FREQ > 16) && (SYS_CLOCK_FREQ >= 24) )
	;***       87 : 	{
	;***       88 : 		ADM0 |= AD_CONVERSION_CLOCK_6;
	;***       89 : 	}
	;***       90 : 	ADM1 = ADM1_INIT_VAL;
	mov 0xFFF32, #0x20
	;***       91 : 	if ( Trg == TRIGGER_HARDWARE )
	dec b
	bnz $.BB@LABEL@1_2
.BB@LABEL@1_1:	; if_then_bb21
	mov a, #0xC1
	;***       92 : 	{
	;***       93 : 		ADM1 |= AD_HARDWARE_ELC_TRIGGER;
	or a, !0xFF32
	mov 0xFFF32, a
	;***       94 : 	}
	;***       95 : 	ADM2 = ADM2_INIT_VAL;
	clrb !0x0010
	mov a, x
	;***       96 : 
	;***       97 : 	ADS = AnalogIn;
	mov 0xFFF31, a
	;***       98 : 
	;***       99 : 	if ( Trg == TRIGGER_HARDWARE )
	;***      100 : 	{
	;***      101 : 		/* Interrupt enable. */
	;***      102 : 		ADMK = 0;
	clr1 0xFFFE7.0
	;***      103 : 		ADIF = 0;
	clr1 0xFFFE3.0
	br $.BB@LABEL@1_3
.BB@LABEL@1_2:	; if_break_bb26.if_break_bb34_crit_edge.critedge
	clrb !0x0010
	mov a, x
	mov 0xFFF31, a
.BB@LABEL@1_3:	; if_break_bb34
	;***      104 : 	}
	;***      105 : 
	;***      106 : 	ADCE = 1;			/* A/D Converter Start */
	set1 0xFFF30.0
	ret
_ADC_Get:
	.STACK _ADC_Get = 4
	;***      107 : }
	;***      108 : 
	;***      109 : /*******************************************************************************
	;***      110 : * Function Name: ADC_Get
	;***      111 : * Description  : Convert A to D.
	;***      112 : * Arguments    : Trg, AnalogIn
	;***      113 : * Return Value : none
	;***      114 : ********************************************************************************/
	;***      115 : void ADC_Get( UCHAR Trg, UCHAR AnalogIn )
	mov b, a
	;***      116 : {
	;***      117 : 	if (Trg == TRIGGER_SOFTWARE)
	cmp0 b
	bnz $.BB@LABEL@2_4
.BB@LABEL@2_1:	; if_then_bb
	;***      118 : 	{
	;***      119 : 		ADIF = 0;
	clr1 0xFFFE3.0
	mov a, x
	;***      120 : 		ADS = AnalogIn;
	mov 0xFFF31, a
	;***      121 : 		ADCS = 1;
	set1 0xFFF30.7
.BB@LABEL@2_2:	; bb
	;***      122 : 		while (!ADIF);
	mov a, 0xFFFE3
	bf a.0, $.BB@LABEL@2_2
.BB@LABEL@2_3:	; bb17
	;***      123 : 		ADCS = 0;
	clr1 0xFFF30.7
	;***      124 : 
	;***      125 : 		usgANI_Value = (SHORT)(ADCR >> 6);
	movw ax, 0xFFF1E
	br $.BB@LABEL@2_5
.BB@LABEL@2_4:	; if_else_bb
	;***      126 : 	}
	;***      127 : 	else
	;***      128 : 	{
	;***      129 : 		usgANI_Value = (usgADCR >> 6);
	movw ax, !LOWW(_usgADCR)
.BB@LABEL@2_5:	; if_else_bb
	shrw ax, 0x06
	movw !LOWW(_usgANI_Value@1), ax
	ret
_ADC_Bit:
	.STACK _ADC_Bit = 4
	;***      130 : 	}
	;***      131 : }
	;***      132 : 
	;***      133 : /*******************************************************************************
	;***      134 : * Function Name: ADC_Bit
	;***      135 : * Description  : Get Status by BIT mode.
	;***      136 : * Arguments    : Val  ... bit location.
	;***      137 : * Return Value : Status.
	;***      138 : ********************************************************************************/
	;***      139 : UCHAR ADC_Bit( UCHAR Val )
	mov b, a
	;***      140 : {
	;***      141 : 	return ((usgANI_Value >> Val) & 0x01);
	movw ax, !LOWW(_usgANI_Value@1)
	cmp0 b
	bz $.BB@LABEL@3_2
.BB@LABEL@3_1:	; entry
	shrw ax, 0x01
	dec b
	bnz $.BB@LABEL@3_1
.BB@LABEL@3_2:	; entry
	mov a, x
	and a, #0x01
	;***      142 : 
	;***      143 : }
	ret
_PGA_init:
	.STACK _PGA_init = 4
	;***      144 : 
	;***      145 : /*******************************************************************************
	;***      146 : * Function Name: PGA_init
	;***      147 : * Description  : Initialize Programmable Gain Amplifier.
	;***      148 : * Arguments    : Gain
	;***      149 : * Return Value : none
	;***      150 : ********************************************************************************/
	;***      151 : void PGA_init( UCHAR Gain )
	mov x, a
	movw hl, #0x00FA
	mov a, #0x50
	;***      152 : {
	;***      153 : 	UCHAR ucWait;
	;***      154 : 
	;***      155 : 	/* Enables PGA input clock supply */
	;***      156 : 	PGA0EN = 1;
	set1 [hl].2
.BB@LABEL@4_1:	; bb
	;***      157 : 
	;***      158 : 	/* 10usec wait */
	;***      159 : 	for (ucWait = 0; ucWait < SYS_CLOCK_FREQ * 10; ucWait++)
	;***      160 : 	{
	;***      161 : 		NOP();
	nop
	dec a
	bnz $.BB@LABEL@4_1
.BB@LABEL@4_2:	; bb7
	movw de, #0x0349
	mov a, x
	;***      162 : 	}
	;***      163 : 
	;***      164 : 	PGACTL = Gain & 0x03;	/* Set Gain */
	and a, #0x03
	mov [de], a
	movw hl, #0x0349
	;***      165 : 
	;***      166 : 	PGAEN = 1;				/* PGA Start */
	set1 [hl].7
	ret
_DAC_init:
	.STACK _DAC_init = 4
	;***      167 : 
	;***      168 : }
	;***      169 : 
	;***      170 : /*******************************************************************************
	;***      171 : * Function Name: DAC_init
	;***      172 : * Description  : Initialize D/A converter.
	;***      173 : * Arguments    : Gain
	;***      174 : * Return Value : none
	;***      175 : ********************************************************************************/
	;***      176 : void DAC_init( UCHAR DaOut )
	movw hl, #0x00FA
	;***      177 : {
	;***      178 : 	/* Enables D/A converter input clock supply */
	;***      179 : 	DACEN = 1;
	set1 [hl].7
	;***      180 : 
	;***      181 : 	DACS0 = DaOut;
	mov 0xFFF3C, a
	;***      182 : 	DACE0 = 1;
	set1 0xFFF3E.4
	ret
_CMP0_init:
	.STACK _CMP0_init = 6
	;***      183 : }
	;***      184 : 
	;***      185 : /*******************************************************************************
	;***      186 : * Function Name: CMP0_init
	;***      187 : * Description  : Initialize comparator 0.
	;***      188 : * Arguments    : Gain
	;***      189 : * Return Value : none
	;***      190 : ********************************************************************************/
	;***      191 : void CMP0_init( UCHAR Mode, UCHAR CmpSel, UCHAR RefSel, UCHAR Filter, UCHAR Edge )
	push de
	mov d, a
	movw hl, #0x00FA
	mov a, d
	;***      192 : {
	;***      193 : 	/* Enables comparator input clock supply */
	;***      194 : 	CMPEN = 1;
	set1 [hl].5
	;***      195 : 	/* Enables PGA input clock supply */
	;***      196 : 	PGA0EN = 1;
	set1 [hl].2
	;***      197 : 
	;***      198 : 	switch (Mode)
	cmp0 a
	bz $.BB@LABEL@6_3
.BB@LABEL@6_1:	; entry
	dec a
	bnz $.BB@LABEL@6_5
.BB@LABEL@6_2:	; bb6
	mov a, #0x02
	;***      199 : 	{
	;***      200 : 		case CMP_MODE_NORMAL:
	;***      201 : 			COMPMDR |= COMP0_MODE_NORMAL;
	;***      202 : 			break;
	;***      203 : 		case CMP_MODE_WINDOW:
	;***      204 : 			COMPMDR |= COMP0_MODE_WINDOW;
	or a, !0x0340
	br $.BB@LABEL@6_4
.BB@LABEL@6_3:	; bb
	mov a, !0x0340
.BB@LABEL@6_4:	; bb12.PartialDrain
	mov !0x0340, a
.BB@LABEL@6_5:	; bb12
	mov a, x
	;***      205 : 			break;
	;***      206 : 		default:
	;***      207 : 			break;
	;***      208 : 	}
	;***      209 : 	COMPISEL = CmpSel;
	mov !0x0348, a
	;***      210 : 	if ( CmpSel == IVCMP_SELECTED )
	cmp0 a
	bnz $.BB@LABEL@6_7
.BB@LABEL@6_6:	; if_then_bb
	mov a, #0x04
	br $.BB@LABEL@6_9
.BB@LABEL@6_7:	; if_else_bb
	;***      211 : 	{
	;***      212 : 		COMPISEL |= COM0_IVCMP0_SELECTED;
	;***      213 : 	}
	;***      214 : 	else if ( CmpSel == PGA_SELECTED )
	dec a
	bnz $.BB@LABEL@6_11
.BB@LABEL@6_8:	; if_then_bb27
	mov a, #0x08
.BB@LABEL@6_9:	; if_then_bb27
	or a, !0x0348
.BB@LABEL@6_10:	; if_break_bb32.PartialDrain
	mov !0x0348, a
.BB@LABEL@6_11:	; if_break_bb32
	;***      215 : 	{
	;***      216 : 		COMPISEL |= COM0_PGA_SELECTED;
	;***      217 : 	}
	;***      218 : 
	;***      219 : 	switch (RefSel)
	cmp0 c
	bz $.BB@LABEL@6_15
.BB@LABEL@6_12:	; if_break_bb32
	mov a, c
	add a, #0xFE
	bz $.BB@LABEL@6_16
.BB@LABEL@6_13:	; if_break_bb32
	dec a
	bz $.BB@LABEL@6_17
.BB@LABEL@6_14:	; if_break_bb32
	dec a
	bnz $.BB@LABEL@6_19
.BB@LABEL@6_15:	; bb35
	movw hl, #0x0348
	;***      220 : 	{
	;***      221 : 		case IVREF0:
	;***      222 : 		case IVREF0_1:
	;***      223 : 			COMPISEL |= COM0_IVREF0_SELECTED;
	mov a, [hl]
	set1 a.0
	br $.BB@LABEL@6_18
.BB@LABEL@6_16:	; bb40
	;***      224 : 			break;
	;***      225 : 		case BGRVREF:
	;***      226 : 			COMPMDR = COM0_BGRVREF_SELECTED;
	mov !0x0340, #0x04
	br $.BB@LABEL@6_19
.BB@LABEL@6_17:	; bb41
	movw hl, #0x0348
	;***      227 : 			break;
	;***      228 : 		case DA:
	;***      229 : 			COMPISEL |= COM0_DACOUTPUT_SELECTED;
	mov a, [hl]
	set1 a.1
.BB@LABEL@6_18:	; bb41
	mov [hl], a
.BB@LABEL@6_19:	; bb47
	;***      230 : 			break;
	;***      231 : 		default:
	;***      232 : 			break;
	;***      233 : 	}
	;***      234 : 	if ( Filter != 0 )
	cmp0 b
	skz
.BB@LABEL@6_20:	; if_then_bb53
	;***      235 : 	{
	;***      236 : 		COMPFIR = COMP0_FILTER_FCLK_32;
	mov !0x0341, #0x03
.BB@LABEL@6_21:	; if_break_bb54
	;***      237 : 	}
	;***      238 : 	switch (Edge)
	mov a, e
	dec a
	bz $.BB@LABEL@6_25
.BB@LABEL@6_22:	; if_break_bb54
	dec a
	bz $.BB@LABEL@6_26
.BB@LABEL@6_23:	; if_break_bb54
	dec a
	bnz $.BB@LABEL@6_28
.BB@LABEL@6_24:	; bb75
	mov a, #0x08
	;***      239 : 	{
	;***      240 : 		case RISING:
	;***      241 : 			COMPFIR |= COMP0_ONE_EDGE_INTERRUPT;
	;***      242 : 			COMPFIR |= COMP0_RISING_INTERRUPT;
	;***      243 : 			break;
	;***      244 : 		case FALLING:
	;***      245 : 			COMPFIR |= COMP0_ONE_EDGE_INTERRUPT;
	;***      246 : 			COMPFIR |= COMP0_FALLING_INTERRUPT;
	;***      247 : 			break;
	;***      248 : 		case BOTH:
	;***      249 : 			COMPFIR |= COMP0_BOTH_EDGES_INTERRUPT;
	or a, !0x0341
	br $.BB@LABEL@6_27
.BB@LABEL@6_25:	; bb57
	call $!__CommonCode@1
	br $.BB@LABEL@6_27
.BB@LABEL@6_26:	; bb66
	call $!__CommonCode@1
	set1 a.2
.BB@LABEL@6_27:	; bb81.PartialDrain
	mov !0x0341, a
.BB@LABEL@6_28:	; bb81
	mov a, [sp+0x00]
	;***      250 : 			break;
	;***      251 : 		default:
	;***      252 : 			break;
	;***      253 : 	}
	;***      254 : 	if ( Edge != NON )
	cmp0 a
	bz $.BB@LABEL@6_30
.BB@LABEL@6_29:	; if_then_bb87
	mov a, #0xFE
	call $!__CommonCode@0
.BB@LABEL@6_30:	; if_break_bb96
	movw ax, #0x0340
	;***      255 : 	{
	;***      256 : 		/* Interrupt enable. */
	;***      257 : 		MK2L &= ~0x01;
	;***      258 : 		IF2L &= ~0x01;
	;***      259 : 	}
	;***      260 : 	C0IE = 1;
	incw ax
	incw ax
	movw hl, ax
	set1 [hl].0
	movw hl, #0x0340
	;***      261 : 
	;***      262 : 	C0ENB = 1;			/* comparator 0 Start */
	set1 [hl].0
	pop hl
	ret
_CMP1_init:
	.STACK _CMP1_init = 6
	;***      263 : }
	;***      264 : 
	;***      265 : /*******************************************************************************
	;***      266 : * Function Name: CMP1_init
	;***      267 : * Description  : Initialize comparator 0.
	;***      268 : * Arguments    : Gain
	;***      269 : * Return Value : none
	;***      270 : ********************************************************************************/
	;***      271 : void CMP1_init( UCHAR Mode, UCHAR CmpSel, UCHAR RefSel, UCHAR Filter, UCHAR Edge )
	push de
	mov x, a
	movw hl, #0x00FA
	mov a, x
	;***      272 : {
	;***      273 : 	/* Enables comparator input clock supply */
	;***      274 : 	CMPEN = 1;
	set1 [hl].5
	;***      275 : 	/* Enables PGA input clock supply */
	;***      276 : 	PGA0EN = 1;
	set1 [hl].2
	;***      277 : 
	;***      278 : 	switch (Mode)
	cmp0 a
	bz $.BB@LABEL@7_3
.BB@LABEL@7_1:	; entry
	dec a
	bnz $.BB@LABEL@7_5
.BB@LABEL@7_2:	; bb6
	mov a, #0x20
	;***      279 : 	{
	;***      280 : 		case CMP_MODE_NORMAL:
	;***      281 : 			COMPMDR |= COMP1_MODE_NORMAL;
	;***      282 : 			break;
	;***      283 : 		case CMP_MODE_WINDOW:
	;***      284 : 			COMPMDR |= COMP1_MODE_WINDOW;
	or a, !0x0340
	br $.BB@LABEL@7_4
.BB@LABEL@7_3:	; bb
	mov a, !0x0340
.BB@LABEL@7_4:	; bb12.PartialDrain
	mov !0x0340, a
.BB@LABEL@7_5:	; bb12
	mov a, c
	;***      285 : 			break;
	;***      286 : 		default:
	;***      287 : 			break;
	;***      288 : 	}
	;***      289 : 	if ( RefSel == BGRVREF )
	cmp a, #0x02
	sknz
.BB@LABEL@7_6:	; if_then_bb
	;***      290 : 	{
	;***      291 : 		COMPMDR = COM1_BGRVREF_SELECTED;
	mov !0x0340, #0x40
.BB@LABEL@7_7:	; if_break_bb
	;***      292 : 	}
	;***      293 : 	if ( Filter != 0 )
	cmp0 b
	skz
.BB@LABEL@7_8:	; if_then_bb22
	;***      294 : 	{
	;***      295 : 		COMPFIR = COMP1_FILTER_FCLK_32;
	mov !0x0341, #0x30
.BB@LABEL@7_9:	; if_break_bb23
	;***      296 : 	}
	;***      297 : 	switch (Edge)
	mov a, e
	dec a
	bz $.BB@LABEL@7_13
.BB@LABEL@7_10:	; if_break_bb23
	dec a
	bz $.BB@LABEL@7_14
.BB@LABEL@7_11:	; if_break_bb23
	dec a
	bnz $.BB@LABEL@7_16
.BB@LABEL@7_12:	; bb44
	mov a, #0x80
	;***      298 : 	{
	;***      299 : 		case RISING:
	;***      300 : 			COMPFIR |= COMP1_ONE_EDGE_INTERRUPT;
	;***      301 : 			COMPFIR |= COMP1_RISING_INTERRUPT;
	;***      302 : 			break;
	;***      303 : 		case FALLING:
	;***      304 : 			COMPFIR |= COMP1_ONE_EDGE_INTERRUPT;
	;***      305 : 			COMPFIR |= COMP1_FALLING_INTERRUPT;
	;***      306 : 			break;
	;***      307 : 		case BOTH:
	;***      308 : 			COMPFIR |= COMP1_BOTH_EDGES_INTERRUPT;
	or a, !0x0341
	br $.BB@LABEL@7_15
.BB@LABEL@7_13:	; bb26
	call $!__CommonCode@1
	br $.BB@LABEL@7_15
.BB@LABEL@7_14:	; bb35
	call $!__CommonCode@1
	set1 a.6
.BB@LABEL@7_15:	; bb50.PartialDrain
	mov !0x0341, a
.BB@LABEL@7_16:	; bb50
	mov a, [sp+0x00]
	;***      309 : 			break;
	;***      310 : 		default:
	;***      311 : 			break;
	;***      312 : 	}
	;***      313 : 	if ( Edge != NON )
	cmp0 a
	bz $.BB@LABEL@7_18
.BB@LABEL@7_17:	; if_then_bb56
	mov a, #0xFD
	call $!__CommonCode@0
.BB@LABEL@7_18:	; if_break_bb65
	movw ax, #0x0340
	;***      314 : 	{
	;***      315 : 		/* Interrupt enable. */
	;***      316 : 		MK2L &= ~0x02;
	;***      317 : 		IF2L &= ~0x02;
	;***      318 : 	}
	;***      319 : 	C1IE = 1;
	incw ax
	incw ax
	movw hl, ax
	set1 [hl].4
	movw hl, #0x0340
	;***      320 : 
	;***      321 : 	C1ENB = 1;			/* comparator 1 Start */
	set1 [hl].4
	pop hl
	ret
__CommonCode@0:
	.STACK __CommonCode@0 = 4
	mov x, a
	and a, !0xFFD4
	mov 0xFFFD4, a
	mov a, x
	and a, !0xFFD0
	mov 0xFFFD0, a
	ret
__CommonCode@1:
	.STACK __CommonCode@1 = 4
	movw de, #0x0341
	mov a, [de]
	mov [de], a
	mov a, [de]
	ret
	;***      322 : }
	;***      323 : 
	;***      324 : #endif /* end of defined ANI3_USED */
	.SECTION .data,DATA
	.ALIGN 2
_usgANI_Value@1:
	.DS (2)
