#CC-RL Compiler RL78 Assembler Source
#@  CC-RL Version : V1.05.00 [26 May 2017]
#@  Commmand :
#@   -cpu=S3
#@   -obj_path=.\obj\
#@   -asm_path=.\obj\
#@   -dev=C:\Program Files (x86)\Renesas Electronics\Applilet EZ PL for RL78 V2.20\Tools\BIN\..\..\Tools\DEV\DR5F1058A.DVF
#@   -c
#@   -I C:\Program Files (x86)\Renesas Electronics\CS+\CC\CC-RL\V1.05.00\inc,.\include
#@   -Osize
#@   -pass_source
#@   src\standby01.c
#@  compiled at Tue Jun 19 17:36:30 2018

	.PUBLIC _STANDBY01_exec
	.EXTERN _standby_before_state_save
	.EXTERN _FLASHMODE_set_rower
	.EXTERN _FLASHMODE_return_beginning
	.EXTERN _standby_after_state_return
	.EXTERN _STANDBY_init

	.SECTION .textf,TEXTF
_STANDBY01_exec:
	.STACK _STANDBY01_exec = 8
	;***        1 : /*******************************************************************************
	;***        2 : * DISCLAIMER
	;***        3 : * This software is supplied by Renesas Electronics Corporation and is only
	;***        4 : * intended for use with Renesas products. No other uses are authorized. This
	;***        5 : * software is owned by Renesas Electronics Corporation and is protected under
	;***        6 : * all applicable laws, including copyright laws.
	;***        7 : * THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
	;***        8 : * THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
	;***        9 : * LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
	;***       10 : * AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
	;***       11 : * TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
	;***       12 : * ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
	;***       13 : * FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
	;***       14 : * ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
	;***       15 : * BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
	;***       16 : * Renesas reserves the right, without notice, to make changes to this software
	;***       17 : * and to discontinue the availability of this software. By using this software,
	;***       18 : * you agree to the additional terms and conditions found by accessing the
	;***       19 : * following link:
	;***       20 : * http://www.renesas.com/disclaimer
	;***       21 : *
	;***       22 : * Copyright (C) 2016 Renesas Electronics Corporation. All rights reserved.
	;***       23 : *******************************************************************************/
	;***       24 : 
	;***       25 : /*******************************************************************************
	;***       26 : * File Name    : standby01.c
	;***       27 : * Version      : Applilet EZ PL for RL78
	;***       28 : * Device(s)    : R5F1056A,R5F1057A,R5F1058A
	;***       29 : * Tool-Chain   : CC-RL
	;***       30 : * Description  : This file implements the function of Standby processing.
	;***       31 : * Creation Date: 2016/09/14
	;***       32 : *******************************************************************************/
	;***       33 : 
	;***       34 : /*******************************************************************************
	;***       35 : Includes <System Includes> , "Project Includes"
	;***       36 : *******************************************************************************/
	;***       37 : #include "sfr.h"
	;***       38 : #include "common.h"
	;***       39 : #include "config.h"
	;***       40 : #include "standbycommon.h"
	;***       41 : #include "standbyinit.h"
	;***       42 : #include "standby01.h"
	;***       43 : 
	;***       44 : #if defined STANDBY_USED
	;***       45 : /*******************************************************************************
	;***       46 : Macro definitions
	;***       47 : *******************************************************************************/
	;***       48 : 
	;***       49 : /*******************************************************************************
	;***       50 : Typedef definitions
	;***       51 : *******************************************************************************/
	;***       52 : 
	;***       53 : /*******************************************************************************
	;***       54 : Imported global variables and functions (from other files)
	;***       55 : *******************************************************************************/
	;***       56 : 
	;***       57 : /*******************************************************************************
	;***       58 : Exported global variables and functions (to be accessed by other files)
	;***       59 : *******************************************************************************/
	;***       60 : 
	;***       61 : /*******************************************************************************
	;***       62 : Private variables and functions
	;***       63 : *******************************************************************************/
	;***       64 : 
	;***       65 : /*******************************************************************************
	;***       66 : * Function Name: STANDBY01_exec
	;***       67 : * Description  : Setting, execution and return of a standby mode.
	;***       68 : * Arguments    : none
	;***       69 : * Return Value : none
	;***       70 : ********************************************************************************/
	;***       71 : void STANDBY01_exec( UCHAR StandbyMode, UCHAR Intp, UCHAR Edge, UCHAR In )
	push bc
	push ax
	;***       72 : {
	;***       73 : 	UCHAR ucEGP0 = 0x00;
	;***       74 : 	UCHAR ucEGN0 = 0x00;
	;***       75 : 	
	;***       76 : 	if (In == 0)
	cmp0 b
	bnz $.BB@LABEL@1_2
.BB@LABEL@1_1:	; return
	;***       77 : 	{
	;***       78 : 		return;
	;***       79 : 	}
	;***       80 : 	
	;***       81 : 	/* State save */
	;***       82 : 	STATE_SAVE();
	;***       83 : 	
	;***       84 : 	/* setting for standby mode. */
	;***       85 : 	switch (Edge)
	;***       86 : 	{
	;***       87 : 		case RISING:
	;***       88 : 			
	;***       89 : 			ucEGP0 = 0x01;
	;***       90 : 			ucEGN0 = 0x00;
	;***       91 : 			
	;***       92 : 			break;
	;***       93 : 			
	;***       94 : 		case FALLING:
	;***       95 : 			
	;***       96 : 			ucEGP0 = 0x00;
	;***       97 : 			ucEGN0 = 0x01;
	;***       98 : 			
	;***       99 : 			break;
	;***      100 : 			
	;***      101 : 		case BOTH:
	;***      102 : 			
	;***      103 : 			ucEGP0 = 0x01;
	;***      104 : 			ucEGN0 = 0x01;
	;***      105 : 			
	;***      106 : 			break;
	;***      107 : 			
	;***      108 : 		default:
	;***      109 : 			break;
	;***      110 : 	}
	;***      111 : 	EGP0 |= ucEGP0 << Intp;
	;***      112 : 	EGN0 |= ucEGN0 << Intp;
	;***      113 : 	
	;***      114 : 	/* switch the flash operation mode. */
	;***      115 : 	TRANS_FLASHMODE();
	;***      116 : 	
	;***      117 : 	/* Interrupt enable. */
	;***      118 : 	MK0 &= ~(0x0001 << (Intp + 2));
	;***      119 : 	
	;***      120 : 	/* Standby mode  Execution. */
	;***      121 : 	if ( StandbyMode == STANDBY_MODE_STOP ) {
	;***      122 : 		STOP();
	;***      123 : 	}
	;***      124 : 	else
	;***      125 : 	{
	;***      126 : 		HALT();
	;***      127 : 	}
	;***      128 : 	
	;***      129 : 	/* Interrupt disabled */
	;***      130 : 	MK0 |= 0x0001 << (Intp + 2);
	;***      131 : 	
	;***      132 : 	/* switch the flash operation mode. */
	;***      133 : 	RETURN_FLASHMODE();
	;***      134 : 	
	;***      135 : 	/* State return */
	;***      136 : 	STATE_RETURN();
	;***      137 : 	
	;***      138 : 	/* Run mode initializing. */
	;***      139 : 	STANDBY_INIT0();
	;***      140 : 	
	;***      141 : }
	addw sp, #0x04
	ret
.BB@LABEL@1_2:	; if_break_bb
	call !!_standby_before_state_save
	mov a, [sp+0x02]
	dec a
	bz $.BB@LABEL@1_7
.BB@LABEL@1_3:	; if_break_bb
	dec a
	bz $.BB@LABEL@1_8
.BB@LABEL@1_4:	; if_break_bb
	dec a
	clrb a
	sknz
.BB@LABEL@1_5:	; bb8
	oneb a
.BB@LABEL@1_6:	; bb8
	mov c, a
	br $.BB@LABEL@1_9
.BB@LABEL@1_7:	; bb6
	clrb c
	oneb a
	br $.BB@LABEL@1_9
.BB@LABEL@1_8:	; bb7
	oneb c
	clrb a
.BB@LABEL@1_9:	; bb10
	shrw ax, 8+0x00000
	movw de, ax
	mov a, [sp+0x00]
	mov b, a
	movw ax, de
	cmp0 b
	bz $.BB@LABEL@1_11
.BB@LABEL@1_10:	; bb10
	addw ax, ax
	dec b
	bnz $.BB@LABEL@1_10
.BB@LABEL@1_11:	; bb10
	mov a, x
	or a, !0xFF38
	mov 0xFFF38, a
	mov a, c
	shrw ax, 8+0x00000
	movw de, ax
	mov a, [sp+0x00]
	mov b, a
	movw ax, de
	cmp0 b
	bz $.BB@LABEL@1_13
.BB@LABEL@1_12:	; bb10
	addw ax, ax
	dec b
	bnz $.BB@LABEL@1_12
.BB@LABEL@1_13:	; bb10
	mov a, x
	or a, !0xFF39
	mov 0xFFF39, a
	call !!_FLASHMODE_set_rower
	mov a, [sp+0x00]
	add a, #0x02
	mov b, a
	onew ax
	cmp0 b
	bz $.BB@LABEL@1_15
.BB@LABEL@1_14:	; bb10
	addw ax, ax
	dec b
	bnz $.BB@LABEL@1_14
.BB@LABEL@1_15:	; bb10
	movw bc, ax
	clrw ax
	decw ax
	subw ax, bc
	movw de, ax
	movw ax, 0xFFFE4
	and a, d
	xch a, x
	and a, e
	xch a, x
	movw 0xFFFE4, ax
	mov a, [sp+0x01]
	cmp0 a
	bnz $.BB@LABEL@1_17
.BB@LABEL@1_16:	; if_then_bb46
	stop
	br $.BB@LABEL@1_18
.BB@LABEL@1_17:	; if_else_bb
	halt
.BB@LABEL@1_18:	; if_break_bb47
	movw ax, 0xFFFE4
	or a, b
	xch a, x
	or a, c
	xch a, x
	movw 0xFFFE4, ax
	call !!_FLASHMODE_return_beginning
	call !!_standby_after_state_return
	addw sp, #0x04
	br !!_STANDBY_init
	;***      142 : #endif /* end of defined STANDBY_USED */
