/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2016 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/

/*******************************************************************************
* File Name    : panel.c
* Version      : Applilet EZ PL for RL78
* Device(s)    : R5F1056A,R5F1057A,R5F1058A
* Tool-Chain   : CC-RL
* Description  : This file implements main function.
* Creation Date: 2016/09/14
*******************************************************************************/

/*******************************************************************************
Includes <System Includes> , "Project Includes"
*******************************************************************************/
#include "sfr.h"
#include "common.h"
#include "config.h"
#include "panel.h"

/*******************************************************************************
Exported global variables and functions (to be accessed by other files)
*******************************************************************************/
#if defined DTC_USED || defined STANDBY_USED
#pragma address dtc_vectortable = VECTOR_ADDRESS
UCHAR __near dtc_vectortable[40];
#pragma address dtc_controldata = CONTROLDATA_ADDRESS
ST_DTC_DATA __near dtc_controldata[24];
#endif /*DTC_USED || STANDBY_USED*/
/*--- Variable declaration ---*/
	UCHAR I_02;
	UCHAR I_03;
	UCHAR I_04;
	UCHAR I_05;
	UCHAR I_06;
	UCHAR I_07;
	UCHAR I_08;
	UCHAR I_09;
	UCHAR I_10;
	UCHAR I_11;
	UCHAR F0210 = 0;
	UCHAR F0211 = 0;
	UCHAR F0212 = 0;
	UCHAR F0213 = 0;
	UCHAR F0214 = 0;
	UCHAR F0215 = 0;
	UCHAR F0216 = 0;
	UCHAR F0217 = 0;
	UCHAR F0302 = 0;
	UCHAR F0303 = 0;
	UCHAR F0304 = 0;
	UCHAR F0403 = 0;
	UCHAR F0903 = 0;
	UCHAR F0905 = 0;

/*----------------------------*/

void panel_init0(void)
{

	ADC_INIT0( TRIGGER_SOFTWARE, 129 );
	COMP_INIT0;
}

void panel(void)
{

	ADC_PROC( TRIGGER_SOFTWARE, 129 );
	ADC_OUT( 9, I_02 );
	ADC_OUT( 8, I_03 );
	ADC_OUT( 7, I_04 );
	ADC_OUT( 6, I_05 );
	ADC_OUT( 5, I_06 );
	ADC_OUT( 4, I_07 );
	ADC_OUT( 3, I_08 );
	ADC_OUT( 2, I_09 );
	ADC_OUT( 1, I_10 );
	ADC_OUT( 0, I_11 );
	COMP_PARAM( I_02,I_03,I_04,I_05,I_06,I_07,I_08,I_09 );
	COMP_PARAM( fON,fON,fOFF,fOFF,fON,fON,fON,fOFF );
	COMP_PROC( F0302,F0303,F0304 );
	OR_PROC( F0302,F0303, F0403 );
	F0903 = MOV1_( F0403 );
	F0905 = MOV1_( F0403 );
	DGOUT_PROC( 56, F0903, HIGH );
	STANDBY01( STANDBY_MODE_STOP, FACTOR_INTP0, FALLING, F0905 );
}
